        SUBROUTINE  SO_INIT( iret )
C************************************************************************
C* SO_INIT                                                              *
C*                                                                      *
C* This subroutine initializes the interface values arrays and certain  *
C* report parameters to missing for a new report.  All initialized      *
C* values are in common.                                                *
C*                                                                      *
C* SO_INIT ( IRET )                                                     *
C*                                                                      *
C* Input parameters:                                                    *
C*      RMISSD          REAL            GEMPAK missing data value       *
C*      IMISSD          INTEGER         GEMPAK missing data value       *
C*      NRIMN           INTEGER         Number of real interface        *
C*                                      mnemonics                       *
C*      NCIMN           INTEGER         Number of character interface   *
C*                                      mnemonics                       *
C*                                                                      *
C* Output parameters:                                                   *
C*      RIMNEM (*)      REAL            Real interface mnemonics array  *
C*      CIMNEM (*)      CHAR*           Char interface mnemonics array  *
C*	IRET            INTEGER         Return code                     *
C*				   	 0 = normal return 	        *
C*                                                                      *
C**                                                                     *
C* Log:							                *
C* R. Hollern/NCEP       4/96                                           *
C* R. Hollern/NCEP       3/98   Changed interface and cleaned up code   *
C* R. Hollern/NCEP      10/00   Initialized multi-level counter         *
C* J. Ator/NCEP		01/02	Remove initialization of iuwind		*
C************************************************************************
        INCLUDE         'GEMPRM.PRM'
        INCLUDE         'socmn.cmn'
C------------------------------------------------------------------------
        iret = 0
C
        DO i = 1, NRIMN
            rivals ( i ) = RMISSD
        END DO
C
        DO i = 1, NCIMN
            civals ( i ) = ' '
        END DO
C
C*      Initialize the multi-level counter.
C
        rivals ( irnpts ) = 0.0
C*
        RETURN
        END
